Page MenuHomePhabricator

Add API call in Conduit to create projects in Phabricator
Closed, ResolvedPublic

Description

Upstream: https://secure.phabricator.com/T5691

Chase found out for T409 that projects cannot be created via Phab's API (obviously the biggest usecase is mass-importing).

We assumed that upstream would accept a patch. Mukunda proposed that he could investigate.

Details

Reference
fl497

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:44 AM
flimport set Reference to fl497.

mmodell wrote on 2014-07-24 11:41:24 (UTC)

https://secure.phabricator.com/D10036

aklapper wrote on 2014-07-28 14:50:28 (UTC)

In T497#12, @mmodell wrote:

For the records: Upstream review says that approach is basically fine and only needs some smaller changes.

mmodell wrote on 2014-07-30 18:40:57 (UTC)

@Aklapper: Thanks, I hadn't noticed that @epriestley had responded to that diff.

mmodell wrote on 2014-08-05 16:46:52 (UTC)

project.create conduit api method is now committed/merged upstream.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:44 AM
flimport added a subscriber: mmodell.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM